Cyberduck Mountain Duck CLI

#6976 closed feature (fixed)

Support Google Drive API

Reported by: Sbazyl Owned by: dkocher
Priority: normal Milestone: 5.0
Component: googledrive Version: 4.2.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Google Docs integration is using the deprecated Google Documents List API. This has been replaced with the Google Drive API (https://developers.google.com/drive) and apps are encouraged to migrate.

Change History (24)

comment:1 Changed on Nov 30, 2012 at 1:31:46 PM by dkocher

  • Component changed from core to google-docs
  • Milestone set to 4.4
  • Owner set to dkocher
  • Status changed from new to assigned

comment:2 Changed on Apr 4, 2013 at 1:44:28 PM by dkocher

We have dropped support for Google Drive in r10785. If support is reintroduced the new API will be used.

comment:3 Changed on Apr 30, 2013 at 1:06:08 PM by bluehz+openid

Please return Google Drive support - I rely on it and Cyberduck was the only app that worked well with Google Drive.

  • thx

comment:4 Changed on Apr 30, 2013 at 6:23:07 PM by eric horne

I agree that it would be nice to add this feature back. I use this at work for downloading google docs that have been modified (indirectly through our website) by people filling out a career assessment survey to work here. I use cyberduck on my mac and work PC. It's a very convenient tool. But I can stick with 4.2.1 if necessary.

comment:5 Changed on Jun 29, 2013 at 9:42:55 AM by dkocher

#7328 closed as duplicate.

comment:6 Changed on Jul 13, 2013 at 2:02:59 PM by marcus herstik

Add back in google drive support without requiring upgrade to google apps.

comment:7 Changed on Sep 2, 2013 at 10:07:15 AM by dkocher

#7423 closed as duplicate.

comment:8 Changed on Jan 16, 2014 at 7:27:04 PM by scott marquardt

Just tried Cyberduck for the first time, with Drive as my main concern. Amazed that this thread isn't utterly clogged with "bring it back!" requests. ;-)

I'll add this as a "please bring it" request. I'm an I.T. director for a dozen schools, and we're testing something that would likely be a model use case if it works well.

Schools that've switched to Google Apps face a number of daunting issues, and working these out requires some nimble experimentation. Duck would be a big help in this, I think.

comment:9 Changed on May 9, 2014 at 2:02:39 PM by dkocher

  • Milestone 5.0 deleted

comment:10 Changed on May 21, 2014 at 9:18:24 AM by mopirelli

I'd really appreciate if you'd support Google Drive again. Using 4.2.1 until then.

comment:11 Changed on Oct 12, 2014 at 5:45:16 PM by dkocher

#8259 closed as duplicate.

comment:12 Changed on Nov 9, 2014 at 8:26:59 PM by lauri heikkilä

Please, would really appreciate.. Have paid for Cyberduck ;)

comment:13 Changed on Mar 31, 2015 at 10:32:44 AM by dkocher

  • Summary changed from Update to Google Drive API to Support Google Drive API

comment:14 Changed on Apr 4, 2015 at 2:51:58 PM by Travis Banger

The community created a petition in MoveOn dot org asking Google to add native Google Drive support for Linux. After more than 25,000 signatures Google has been ignoring us.

http://goo.gl/JhaB2O

Let's say that we create a parallel petition for CyberDuck to restore Google Drive support: Can the developers please tell us the minimum number of votes that would be required? That way we would decide whether it is worth it, or we are wasting our time. In the latter case we should consider the alternatives to CyberDuck.

comment:15 Changed on Apr 30, 2015 at 12:31:06 PM by dkocher

We will schedule this on our roadmap when we have released version 5.

comment:16 Changed on Apr 30, 2015 at 12:31:53 PM by dkocher

  • Milestone set to 6.0

comment:17 Changed on May 26, 2015 at 1:28:34 AM by bobgratton

@dkocher

Do you mean the support of the new Google Drive API will be live in the version 5.x of CyberDuck?

comment:18 Changed on Jun 16, 2015 at 9:16:30 AM by dkocher

#8876 closed as duplicate.

comment:19 Changed on Sep 19, 2015 at 8:22:16 AM by dkocher

#9020 closed as duplicate.

comment:20 Changed on Sep 20, 2015 at 11:27:46 AM by dkocher

We are working on this on a feature branch.

comment:21 Changed on Jan 21, 2016 at 2:01:02 PM by dkocher

  • Type changed from enhancement to feature

comment:22 Changed on Mar 16, 2016 at 12:37:37 PM by dkocher

  • Milestone changed from 6.0 to 5.0

comment:24 Changed on Mar 16, 2016 at 9:38:33 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r19756.

Note: See TracTickets for help on using tickets.
swiss made software